warning C4275, C4271when using boost::noncopyable

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

warning C4275, C4271when using boost::noncopyable

Boost - Users mailing list
Hi All,

I'm trying to update from boost 1.62 to boost 1.73. Boost 1.62 was built with VS15 140 toolchain with shared runtime (/MD) and as static lib. Boost 1.73 was built with VS19 140 toolchain with /MD and as static lib.

I have a class:

#include <boost/noncopyable.h>

class __declspec(dllexport) A : private boost::noncopyable

when I'm using 1.62 I do not have such warning.
when I'm using 1.73 I do have such warning.

I'll appreciate if anyone could help me to understand what I'm missing. Why does new version of header generate this warning?

Thanks,
Roman

_______________________________________________
Boost-users mailing list
[hidden email]
https://lists.boost.org/mailman/listinfo.cgi/boost-users
Reply | Threaded
Open this post in threaded view
|

Re: warning C4275, C4271when using boost::noncopyable

Boost - Users mailing list
On 13/05/2020 20:27, Roman Savchenko via Boost-users wrote:
> Hi All,
>
> I'm trying to update from boost 1.62 to boost 1.73. Boost 1.62 was
> built with VS15 140 toolchain with shared runtime (/MD) and as static
> lib. Boost 1.73 was built with VS19 140 toolchain with /MD and as
> static lib.

Try using /MTd to see if it makes any difference.  See this article:

<https://docs.microsoft.com/en-us/cpp/error-messages/compiler-warnings/compiler-warning-level-2-c4275?view=vs-2019>


>
> I have a class:
>
> #include <boost/noncopyable.h>
>
> class __declspec(dllexport) A : private boost::noncopyable
>
> when I'm using 1.62 I do not have such warning.
> when I'm using 1.73 I do have such warning.
>
> I'll appreciate if anyone could help me to understand what I'm
> missing. Why does new version of header generate this warning?
>
> Thanks,
> Roman
>
> _______________________________________________
> Boost-users mailing list
> [hidden email]
> https://lists.boost.org/mailman/listinfo.cgi/boost-users


--
With over 1.2 billion devices now running Windows 10, customer
satisfaction is higher than any previous version of windows.

_______________________________________________
Boost-users mailing list
[hidden email]
https://lists.boost.org/mailman/listinfo.cgi/boost-users
Reply | Threaded
Open this post in threaded view
|

Re: warning C4275, C4271when using boost::noncopyable

Boost - Users mailing list
Hi,

Thanks for response, but I do not want to use /MTd flag. And I'm sure that previous version of boost was compiled with /MD,

Dump of file libboost_system-vc140-mt-gd-1_62.lib

File Type: LIBRARY

   Linker Directives
   -----------------
   /FAILIFMISMATCH:_MSC_VER=1900
   /FAILIFMISMATCH:_ITERATOR_DEBUG_LEVEL=2
   /FAILIFMISMATCH:RuntimeLibrary=MDd_DynamicDebug
   /DEFAULTLIB:msvcprtd
   /FAILIFMISMATCH:_CRT_STDIO_ISO_WIDE_SPECIFIERS=0
   /DEFAULTLIB:uuid.lib
   /DEFAULTLIB:uuid.lib
   /DEFAULTLIB:MSVCRTD
   /DEFAULTLIB:OLDNAMES

Current version is compiled with /MD too:
Dump of file .\libboost_system-vc140-mt-gd-x32-1_73.lib

File Type: LIBRARY

   Linker Directives
   -----------------
   /FAILIFMISMATCH:_MSC_VER=1900
   /FAILIFMISMATCH:_ITERATOR_DEBUG_LEVEL=2
   /FAILIFMISMATCH:RuntimeLibrary=MDd_DynamicDebug
   /DEFAULTLIB:msvcprtd
   /DEFAULTLIB:MSVCRTD
   /DEFAULTLIB:OLDNAMES




ср, 13 мая 2020 г. в 23:25, 😉 Good Guy 😉 via Boost-users <[hidden email]>:
On 13/05/2020 20:27, Roman Savchenko via Boost-users wrote:
> Hi All,
>
> I'm trying to update from boost 1.62 to boost 1.73. Boost 1.62 was
> built with VS15 140 toolchain with shared runtime (/MD) and as static
> lib. Boost 1.73 was built with VS19 140 toolchain with /MD and as
> static lib.

Try using /MTd to see if it makes any difference.  See this article:

<https://docs.microsoft.com/en-us/cpp/error-messages/compiler-warnings/compiler-warning-level-2-c4275?view=vs-2019>


>
> I have a class:
>
> #include <boost/noncopyable.h>
>
> class __declspec(dllexport) A : private boost::noncopyable
>
> when I'm using 1.62 I do not have such warning.
> when I'm using 1.73 I do have such warning.
>
> I'll appreciate if anyone could help me to understand what I'm
> missing. Why does new version of header generate this warning?
>
> Thanks,
> Roman
>
> _______________________________________________
> Boost-users mailing list
> [hidden email]
> https://lists.boost.org/mailman/listinfo.cgi/boost-users


--
With over 1.2 billion devices now running Windows 10, customer
satisfaction is higher than any previous version of windows.

_______________________________________________
Boost-users mailing list
[hidden email]
https://lists.boost.org/mailman/listinfo.cgi/boost-users

_______________________________________________
Boost-users mailing list
[hidden email]
https://lists.boost.org/mailman/listinfo.cgi/boost-users
Reply | Threaded
Open this post in threaded view
|

Re: warning C4275, C4271when using boost::noncopyable

Boost - Users mailing list
I found an answer: it because noncopyable now inherit base_token.

Thanks,
Closed

чт, 14 мая 2020 г. в 13:30, Roman Savchenko <[hidden email]>:
Hi,

Thanks for response, but I do not want to use /MTd flag. And I'm sure that previous version of boost was compiled with /MD,

Dump of file libboost_system-vc140-mt-gd-1_62.lib

File Type: LIBRARY

   Linker Directives
   -----------------
   /FAILIFMISMATCH:_MSC_VER=1900
   /FAILIFMISMATCH:_ITERATOR_DEBUG_LEVEL=2
   /FAILIFMISMATCH:RuntimeLibrary=MDd_DynamicDebug
   /DEFAULTLIB:msvcprtd
   /FAILIFMISMATCH:_CRT_STDIO_ISO_WIDE_SPECIFIERS=0
   /DEFAULTLIB:uuid.lib
   /DEFAULTLIB:uuid.lib
   /DEFAULTLIB:MSVCRTD
   /DEFAULTLIB:OLDNAMES

Current version is compiled with /MD too:
Dump of file .\libboost_system-vc140-mt-gd-x32-1_73.lib

File Type: LIBRARY

   Linker Directives
   -----------------
   /FAILIFMISMATCH:_MSC_VER=1900
   /FAILIFMISMATCH:_ITERATOR_DEBUG_LEVEL=2
   /FAILIFMISMATCH:RuntimeLibrary=MDd_DynamicDebug
   /DEFAULTLIB:msvcprtd
   /DEFAULTLIB:MSVCRTD
   /DEFAULTLIB:OLDNAMES




ср, 13 мая 2020 г. в 23:25, 😉 Good Guy 😉 via Boost-users <[hidden email]>:
On 13/05/2020 20:27, Roman Savchenko via Boost-users wrote:
> Hi All,
>
> I'm trying to update from boost 1.62 to boost 1.73. Boost 1.62 was
> built with VS15 140 toolchain with shared runtime (/MD) and as static
> lib. Boost 1.73 was built with VS19 140 toolchain with /MD and as
> static lib.

Try using /MTd to see if it makes any difference.  See this article:

<https://docs.microsoft.com/en-us/cpp/error-messages/compiler-warnings/compiler-warning-level-2-c4275?view=vs-2019>


>
> I have a class:
>
> #include <boost/noncopyable.h>
>
> class __declspec(dllexport) A : private boost::noncopyable
>
> when I'm using 1.62 I do not have such warning.
> when I'm using 1.73 I do have such warning.
>
> I'll appreciate if anyone could help me to understand what I'm
> missing. Why does new version of header generate this warning?
>
> Thanks,
> Roman
>
> _______________________________________________
> Boost-users mailing list
> [hidden email]
> https://lists.boost.org/mailman/listinfo.cgi/boost-users


--
With over 1.2 billion devices now running Windows 10, customer
satisfaction is higher than any previous version of windows.

_______________________________________________
Boost-users mailing list
[hidden email]
https://lists.boost.org/mailman/listinfo.cgi/boost-users

_______________________________________________
Boost-users mailing list
[hidden email]
https://lists.boost.org/mailman/listinfo.cgi/boost-users